---
title: CSV Fields
slug: bluecartapi/walmart-product-data-api/reference/csv-fields
docTags: 
createdAt: 2024-07-27T17:51:31.976Z
---

# CSV Fields Reference

BlueCart API can return data in CSV format by specifying the  `output=csv`  request parameter. When setting  `output=csv`  the  `csv_fields`  parameter determines the fields to include in the CSV result.

CSV fields should be specified as a comma seperated list of field names, with  **nested fields being expressed in dot notation** .

Here's an example of the  `csv_fields`  parameter:

`csv_fields=`
Below is a full list of all of the supported CSV Fields shown under their group.

| *`Field Group`*          | *`Fields in Group`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`request`*              | `type` `url` `page` `max_page` `item_id`<br />`seller_id` `gtin` `sort_by` `search_term`<br />`category_id` `customer_zipcode` `delivery_type`<br />`rating` `condition` `min_price` `max_price`<br />`facets` `walmart_domain`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`request_metadata`*     | `created_at` `processed_at` `total_time_taken`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| *`product`*              | `title` `item_id` `product_id` `item_number`<br />`upc` `model` `link` `main_image.link` `rating`<br />`ratings_total` `brand` `brand_link` `color`<br />`dimensions` `buybox_winner.price`<br />`buybox_winner.was_price` `buybox_winner.unit`<br />`buybox_winner.unit_price`<br />`buybox_winner.unit_price_text`<br />`buybox_winner.currency_symbol` `buybox_winner.id`<br />`buybox_winner.availability.raw`<br />`buybox_winner.availability.in_stock`<br />`buybox_winner.availability.preorder`<br />`buybox_winner.availability.preorder_date`<br />`buybox_winner.fulfillment.pickup`<br />`buybox_winner.fulfillment.delivery_from_store`<br />`buybox_winner.fulfillment.shipping`<br />`buybox_winner.fulfillment.message`<br />`buybox_winner.fulfillment.zipcode`<br />`buybox_winner.seller.name` `buybox_winner.seller.id`<br />`buybox_winner.seller.id_secondary`<br />`buybox_winner.seller.link` |
| *`reviews`*              | `id` `title` `body` `rating` `positive_feedback`<br />`negative_feedback` `source.`<br />`source.is_external_source` `source.external_source`<br />`source.author_id` `source.author_name`<br />`source.syndication_source`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| *`autocomplete_results`* | `autocomplete_results.suggestion`<br />`autocomplete_results.category_name`<br />`autocomplete_results.type`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| *`search_results`*       | `position` `product.title` `product.link`<br />`product.description` `product.brand`<br />`product.item_id` `product.product_id`<br />`product.main_image` `product.rollback`<br />`product.department` `product.rating`<br />`product.ratings_total` `inventory.in_stock`<br />`inventory.preorder` `fulfillment.pickup`<br />`fulfillment.delivery_from_store`<br />`fulfillment.shipping` `fulfillment.shipping_days`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| *`category_results`*     | `position` `product.title` `product.link`<br />`product.description` `product.brand`<br />`product.item_id` `product.product_id`<br />`product.main_image` `product.rollback`<br />`product.department` `product.rating`<br />`product.ratings_total` `inventory.in_stock`<br />`inventory.preorder` `fulfillment.pickup`<br />`fulfillment.delivery_from_store`<br />`fulfillment.shipping` `fulfillment.shipping_days`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| *`seller_profile`*       | `seller_details.name` `seller_details.id`<br />`seller_details.id_secondary` `seller_details.link`<br />`seller_details.is_pro_seller` `seller_details.logo`<br />`seller_details.phone` `seller_details.rating`<br />`seller_details.ratings_total`<br />`seller_details.percent_positive`<br />`seller_details.service_text` `seller_details.about`<br />`seller_details.returns_policy`<br />`seller_details.shipping_text`<br />`seller_details.rating_breakdown.one_star`<br />`seller_details.rating_breakdown.two_star`<br />`seller_details.rating_breakdown.three_star`<br />`seller_details.rating_breakdown.four_star`<br />`seller_details.rating_breakdown.five_star`<br />`seller_details.address.address1`<br />`seller_details.address.address2`<br />`seller_details.address.city`<br />`seller_details.address.state`<br />`seller_details.address.zipcode`<br />`seller_details.address.country`    |

